from django.urls import path

from .views import (home_view,
    BooksListView, BooksDetailView,
    AuthorsListView, AuthorsDetailView                
    )

urlpatterns = [
    path('home', home_view, name='index'),
    path('books', BooksListView.as_view(), name='books-list'),
    path('books/<int:pk>', BooksDetailView.as_view(), name='books-detail'),
    path('authors', AuthorsListView.as_view(), name='authors-list'),
    path('authors/<int:pk>', AuthorsDetailView.as_view(), name='authors-detail')
]

app_name = "bookshelf"