from django.contrib import admin
from .models import Author, Books

# Register your models here.
class AuthorAdmin(admin.ModelAdmin):
    model = Author
    list_display = ('first_name', 'last_name', 'bio')

class BooksAdmin(admin.ModelAdmin):
    model = Books
    list_display = ('title', 'author', 'publisher', 'year_published')

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)